it.csi.mddtools.guigen

## Interface Annotation

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface Annotation
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Annotation'.

  The following features are supported:

  - `Source`
  - `Details`
  See Also:
    `GuigenPackage.getAnnotation()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<AnnotationDetail>` | `getDetails()` Returns the value of the 'Details' containment reference list.
    `java.lang.String` | `getSource()` Returns the value of the 'Source' attribute
    `void` | `setSource(java.lang.String value)` Sets the value of the '`Source`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSource

          java.lang.String getSource()

      Returns the value of the 'Source' attribute.

      If the meaning of the 'Source' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Source' attribute.
      See Also:
        `setSource(String)`, `GuigenPackage.getAnnotation_Source()`

    - #### setSource

          void setSource(java.lang.String value)

      Sets the value of the '`Source`' attribute.
      Parameters:
        `value` - the new value of the 'Source' attribute.
      See Also:
        `getSource()`

    - #### getDetails

          org.eclipse.emf.common.util.EList<AnnotationDetail> getDetails()

      Returns the value of the 'Details' containment reference list. The list contents are of type `AnnotationDetail`.

      If the meaning of the 'Details' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Details' containment reference list.
      See Also:
        `GuigenPackage.getAnnotation_Details()`